# Set billing details for the InLine Checkout

## Overview

Pre-set the **billing details** for the InLine checkout.

## Use case

1. Add an HTML link or button in your page like the one below.
2. Create a JavaScript click handler to execute the Inline client desired methods.
3. Use the`TwoCoInlineCart.products.add({code, quantity, options})`method to prepare your catalog product.
4. Call any of the following methods to pre-set the billing details:<br>

   ```javascript
   TwoCoInlineCart.billing.setName('John Snow');
     TwoCoInlineCart.billing.setEmail('john.snow@2checkout.com');
     TwoCoInlineCart.billing.setPhone('+33 892 70 12 39');
     TwoCoInlineCart.billing.setCountry('FR');
     TwoCoInlineCart.billing.setCity('Paris');
     TwoCoInlineCart.billing.setState('');
     TwoCoInlineCart.billing.setZip('75007');
     TwoCoInlineCart.billing.setAddress('Champ de Mars');
     TwoCoInlineCart.billing.setAddress2('5 Avenue Anatole');
   ```
5. If you want to reset the billing details, call the`TwoCoInlineCart.billing.reset()`method.
6. Use the`TwoCoInlineCart.cart.checkout()`method to display the cart on your page.

## Sample request

### HTML

```html
<a href="#" class="btn btn-success" id="buy-button">Buy now!</a>
```

### JavaScript

```javascript
window.document.getElementById('buy-button').addEventListener('click', function() {
  TwoCoInlineCart.products.add({
    code: "74B8E17CC0"
  });

  // Style 1 (all data at once)
  TwoCoInlineCart.billing.setData({
    name: 'John Snow',
    email: 'john.snow@2checkout.com',
    phone: '+33 892 70 12 39',
    country: 'FR',
    city: 'Paris',
    state: '',
    zip: '75007',
    address: 'Champ de Mars',
    address2: '5 Avenue Anatole'
  });

  // Reset
  TwoCoInlineCart.billing.reset();

  // Style 2 (simple)
  TwoCoInlineCart.billing.setName('John Snow');
  TwoCoInlineCart.billing.setEmail('john.snow@2checkout.com');
  TwoCoInlineCart.billing.setPhone('+33 892 70 12 39');
  TwoCoInlineCart.billing.setCountry('FR');
  TwoCoInlineCart.billing.setCity('Paris');
  TwoCoInlineCart.billing.setState('');
  TwoCoInlineCart.billing.setZip('75007');
  TwoCoInlineCart.billing.setAddress('Champ de Mars');
  TwoCoInlineCart.billing.setAddress2('5 Avenue Anatole');

  // Reset
  TwoCoInlineCart.billing.reset();

  // Style 3 (chained)
  TwoCoInlineCart.billing
    .setName('John Snow')
    .setEmail('john.snow@2checkout.com')
    .setPhone('+33 892 70 12 39')
    .setCountry('FR')
    .setCity('Paris')
    .setState('')
    .setZip('75007')
    .setAddress('Champ de Mars')
    .setAddress2('5 Avenue Anatole')
  ;

  TwoCoInlineCart.cart.checkout();
});
```

## Demo

After setting the billing details for the InLine cart using the above methods, your cart should look like this:

{% embed url="<https://codepen.io/2checkout-documentation/pen/JQKgVx>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/shopping-carts/inline/use-cases/set-billing-details-for-the-inline-checkout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
